---
import BasicLayout from '@layouts/Basic.astro'
import '@styles/simplePageLayout.css'

// The content for page metadata & Open Graph metadata:
const canonicalURL = new URL(Astro.url.pathname, Astro.site);
const metaTitle = "Sobre este site";
const metaDescription = "Sobre o conteúdo deste site, as ferramentas utilizadas em sua construção e as permissões de uso de seu conteúdo e código-fonte.";
const metaCanonicalURL = canonicalURL.href;
const metaType = "website";
const metaImage = canonicalURL.origin + "/images/Rembrandt_-_The_Philosopher_in_Meditation.jpg";
---
	
<BasicLayout metaTitle={metaTitle}
						 metaDescription={metaDescription}
						 metaCanonicalURL={metaCanonicalURL}
						 metaType={metaType}
						 metaImage={metaImage}>

	<h1>Sobre este site</h1>

	<h2>Motivação</h2>

	<p>Olá, me chamo <a href="http://www.fabricioboppre.net" target="_blank">Fabricio</a>.</p>

	<p>Este site é fruto de duas paixões: filosofia e programação.</p>

	<p>A filosofia: esta foi herdada de meu avô, que mantinha muitas obras clássicas e biografias sobre filósofos em sua biblioteca, espaço no qual passei incontáveis horas na infância e na adolescência, lendo e folheando seus muitos livros.</p>

	<p>A programação: é minha ocupação profissional — mais especificamente, desenvolvimento para a web.</p>

	<p>A ideia do site surgiu enquanto eu pensava em alguma maneira de tornar mais discplinada minha leitura dos livros da coleção <i>Os Pensadores</i> (a 1ª edição, lançada pela Editora Abril em 1973), livros que pertenceram ao meu avô e acabei herdando após seu falecimento. Ele não chegou a completar a coleção; dos 52 volumes, creio que faltavam cerca de 20, que fui procurando e adquirindo pouco a pouco, através dos muitos sebos de Florianópolis e da Estante Virtual.</p>

	<p>Enquanto lia estes livros, eu costumava transcrever trechos e compilar algumas anotações, mas era um material fragmentado e desorganizado, espalhado em cadernos e arquivos no computador, o que acabava desestimulando minha leitura. Foi quando tive a ideia de reorganizar este material, dar-lhe um formato e relacioná-lo entre si computacionalmente, o que me proporcionou não apenas uma motivação extra para a continuidade da leitura mas também a possibilidade de criar algo que eventualmente tenha serventia para outros — este site, ao qual, afinal, cheguei após alguns estudos e algumas semanas de programação.</p>

	<p>O material ainda está sendo vertido para o site, um processo sem nenhuma previsão de término.</p>

	<h2>Ferramentas e serviços utilizados</h2>

	<p>Aproveitei a ocasião para aprender e utilizar algumas ferramentas novas. O mundo do desenvolvimento para web vive um momento de fertilidade estonteante, com novas ferramentas surgindo a todo instante, muitas delas prometendo vantagens e funcionalidades que são como potes de mel irresistíveis para quem vive de codificar e publicar sites na web. Um sumário das ferramentas e serviços que escolhi utilizar:</p>

	<ul>
		<li><a href="https://astro.build" target="_blank">Astro</a> é o <i>static site generator</i> utilizado para gerar as telas estáticas que compreendem este site;</li>
		<li>Para algumas questões pontuais de interatividade, utilizo a biblioteca <a href="https://reactjs.org" target="_blank">React</a>;</li>
		<li>Para a funcionalidade de pesquisa, utilizo a biblioteca <a href="https://lunrjs.com" target="_blank">Lunr</a>;</li>
		<li>A <a href="http://nhost.io" target="_blank">Nhost</a> é uma plataforma que, dentre outros serviços, oferece bancos de dados que podem ser acessados e gerenciados online, e é lá que publico o conteúdo do site e o relaciono entre si;</li>
		<li><a href="https://hasura.io" target="_blank">Hasura</a> é o serviço (funcionando de forma integrada com a Nhost) que oferece uma interface visual e programática para o banco de dados;</li>
		<li>O código-fonte fica em um <a href="https://gitlab.com/fabricio.boppre/filosofia" target="_blank">repositório</a> no <a href="https://about.gitlab.com" target="_blank">GitLab</a> enquanto o <a href="https://docs.gitlab.com/ee/user/project/pages/" target="_blank">GitLab Pages</a> cuida da publicação e exposição do site à internet.</li>
	</ul>

	<p>Gostaria de mencionar também que a fonte tipográfica utilizada é a <a href="https://fonts.google.com/specimen/Cormorant+Garamond" target="_blank">Cormorant Garamond</a> e a imagem que ilustra a <a href="/">primeira tela</a> é a obra <a href="https://commons.wikimedia.org/wiki/File:Rembrandt_-_The_Philosopher_in_Meditation.jpg" target="_blank"><i>Filósofo em Meditação</i></a>, de Rembrandt Harmenszoon van Rijn.</p>

	<h2>Licença de uso</h2>

	<p>O conteúdo deste site está sob a licença <a href="https://creativecommons.org/licenses/by-nc/4.0/deed.pt_BR" target="_blank">Atribuição-NãoComercial 4.0 Internacional (CC BY-NC 4.0)</a>. Em resumo: use à vontade, da maneira que preferir, desde que você inclua o devido crédito e não utilize para fins comerciais. Se você copiar alguma transcrição de livro, inclua também o crédito ao livro (que, nas telas deste site, encontram-se sempre ao pé da página).</p>

</BasicLayout>
